Latest 2.1.5
Homepage https://github.com/ionic-team/cordova-plugin-ionic-webview
License Apache License, Version 2.0
Platforms ios 9.0
Dependencies Cordova
Authors


Ionic Web View

The Web View plugin for Cordova that is specialized for Ionic apps.

This is for cordova-plugin-ionic-webview @ 2.x, which uses the latest and greatest features and may not work with all apps. See Requirements and Migrating to 2.x.

book: Documentation: [https://beta.ionicframework.com/docs/building/webview][ionic-webview-docs]

mega: Support/Questions? Please see our [Support Page][ionic-support] for general support questions. The issues on GitHub should be reserved for bug reports and feature requests.

sparkling_heart: Want to contribute? Please see CONTRIBUTING.md.

Requirements

  • iOS: iOS 10+ and cordova-ios 4+
  • Android: Android 5.0+ and cordova-android 6.4+

Migrating to 2.x

  1. Remove and re-add the Web View plugin:

    cordova plugin rm cordova-plugin-ionic-webview
    cordova plugin add [email protected]
  2. Apps are now served from HTTP on Android.

    • The origin for requests from the Web View is http://localhost:8080.
  3. Replace any usages of window.Ionic.normalizeURL() with window.Ionic.WebView.convertFileSrc().

Latest podspec

{
    "name": "cordova-plugin-ionic-webview",
    "version": "2.1.5",
    "summary": "The Web View plugin for Cordova that is specialized for Ionic apps",
    "description": "The Web View plugin for Cordova that is specialized for Ionic apps.nnThis project use WKWebView (IOS) and some improvements for Webview (Android)",
    "homepage": "https://github.com/ionic-team/cordova-plugin-ionic-webview",
    "license": {
        "type": "Apache License, Version 2.0",
        "file": "LICENSE"
    },
    "authors": {
        "Ionic team": "[email protected]"
    },
    "platforms": {
        "ios": "9.0"
    },
    "source": {
        "git": "https://github.com/ionic-team/cordova-plugin-ionic-webview.git",
        "tag": "v2.1.4"
    },
    "source_files": [
        "Classes",
        "src/ios/**/*.{h,m}"
    ],
    "dependencies": {
        "Cordova": [
            "~> 4.4.0"
        ]
    }
}

Pin It on Pinterest

Share This